0

I'm trying to update my raspberry pi3 modB running arch linux arm and got the following error

:: Proceed with installation? [Y/n] :: Retrieving packages... error: failed retrieving file 'libx86emu-1.11_1-1-armv7h.pkg.tar.xz' from mirror.strits.dk : Maximum file size exceeded error: failed retrieving file 'libx86emu-1.11_1-1-armv7h.pkg.tar.xz' from repo.manjaro-arm.org : The requested URL returned error: 404 error: failed retrieving file 'libx86emu-1.11_1-1-armv7h.pkg.tar.xz' from ftp-osl.osuosl.org : Maximum file size exceeded warning: failed to retrieve some files error: failed to commit transaction (download library error) Errors occurred, no packages were upgraded.

I have tried

pacman -Syyu

multiple times still no luck. Can someone help!

1

I've seen plenty of errors over the years with pacman updates failing, but never this specific issue. That said, a bit of searching around the net turns up one of three possible issues:

  1. Your disk might be full. Check to make sure it's not. You can run 'pacman -Sc' to cleanup some space if necessary.
  2. There may be a problem with the mirror you are connecting to. Edit /etc/pacman.d/mirrorlist and comment out the default Geo-IP mirror and uncomment a mirror close to you. Try others if the first one doesn't work.
  3. Some people have seen switching pacman to use curl helps resolve the issue. You can do that by editing /etc/pacman.conf and uncommenting the appropriate XferCommand option.
  • Issue was solved by my friend who suggested me the following commands pacman-mirrors -g pacman -Sy archlinux-keyring manjaro-keyring && sudo pacman-key --refresh-key – Hari Aug 18 '16 at 18:07

Your Answer

By clicking “Post Your Answer”, you agree to our terms of service, privacy policy and cookie policy

Not the answer you're looking for? Browse other questions tagged or ask your own question.